Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## oracle.xml.xsql
Class XSQLErrorWriter

`java.lang.Object
oracle.xml.xsql.XSQLErrorWriter`

      public final class XSQLErrorWriter

extends java.lang.Object

Constructor Summary
`XSQLErrorWriter(SAXParseException s, XSQLPageRequest env)`
`XSQLErrorWriter(java.lang.String x, SAXParseException s, XSQLPageRequest env)`
`XSQLErrorWriter(java.lang.String x, java.lang.String y, SAXParseException s, XSQLPageRequest env)`
`XSQLErrorWriter(java.lang.String x, java.lang.String y, XSQLPageRequest env)`
`XSQLErrorWriter(java.lang.String s, java.lang.Throwable e, XSQLPageRequest env)`
`XSQLErrorWriter(java.lang.String s, XSQLPageRequest env)`

Method Summary
`static java.lang.String` `getXSQLVersionMessage(XSQLPageRequest env)`
`void` `print()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSQLErrorWriter

    public XSQLErrorWriter(java.lang.String s,
                           java.lang.Throwable e,
                           XSQLPageRequest env)

### XSQLErrorWriter

    public XSQLErrorWriter(java.lang.String s,
                           XSQLPageRequest env)

### XSQLErrorWriter

    public XSQLErrorWriter(java.lang.String x,
                           java.lang.String y,
                           XSQLPageRequest env)

### XSQLErrorWriter

    public XSQLErrorWriter(java.lang.String x,
                           java.lang.String y,
                           SAXParseException s,
                           XSQLPageRequest env)

### XSQLErrorWriter

    public XSQLErrorWriter(java.lang.String x,
                           SAXParseException s,
                           XSQLPageRequest env)

### XSQLErrorWriter

    public XSQLErrorWriter(SAXParseException s,
                           XSQLPageRequest env)

Method Detail

### print

    public void print()

### getXSQLVersionMessage

    public static java.lang.String getXSQLVersionMessage(XSQLPageRequest env)

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2003, 2009, Oracle and/or its affiliates. All rights reserved.